Events
List events
GET
Market events, newest first.
bearerheader
AuthorizationBearer <token>Your API key: Authorization: Bearer opg_live_...
gpu?|GPU slug or canonical name
provider?string|nulltype?|comma-separated event types
severity?|comma-separated: info, notable, major
min_severity?|nullsince?|nulluntil?|nulllimit?LimitRange
1 <= value <= 1000Default
100cursor?string|nullOpenGrid-Version?"2026-11-03"The API version to shape the response for. Default: the version pinned to your key.
Value in
"2026-11-03"Success
application/json- response
data*array<>meta*Present on every success. List routes add limit, next_cursor (null on the last page) and total.
curl -X GET 'https://data.tryopengrid.com/v1/events'Example Response
{ "data": [ { "dedupe_key": "string", "detail": { "basis": "string", "direction": "string", "examples": [ { "gpu": "string", "gpu_name": "string", "provider": "string", "provider_name": "string" } ], "from": 0, "gpus": 0, "is_cheapest": true, "last_lowest": 0, "last_price": 0, "listings": 0, "live_markets": 0, "lowest": 0, "lowest_provider": "string", "markets": 0, "matched": true, "median": 0, "metric": "string", "previous_price": 0, "previous_provider": "string", "previous_provider_now": null, "price": 0, "priced_listings": 0, "providers": [ "string" ], "reason": "string", "share": 0, "since": "string", "sold_out_listings": 0, "to": 0, "was_cheapest": true }, "detected_at": "string", "gpu": null, "gpu_name": "string", "id": 0, "kind": "string", "occurred_at": "string", "pct": null, "provider": null, "provider_name": null, "region_group": null, "segment": "string", "severity": "string", "title": "string", "type": "string", "value_after": null, "value_before": null } ], "meta": { "as_of": "2019-08-24T14:15:22Z", "api_version": "string", "request_id": "string", "next_cursor": "string", "limit": 0, "total": 0 }}